# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Public Attributes

# vl::AttribInfo Struct Reference

Structure containing all the info regarding an active vertex attribute, see also GLSLProgram::activeAttribs() More...

`#include <GLSL.hpp>`

Inheritance diagram for vl::AttribInfo:

List of all members.

## Public Member Functions

| AttribInfo (const char *name, EAttributeType type, int size, int location)

## Public Attributes

std::string | Name
| Name of the active attribute.
EAttributeType | Type
| Type as returned by http://www.opengl.org/sdk/docs/man4/xhtml/glGetActiveAttrib.xml.
int | Size
| The size of the attribute, in units of the type returned in Type.
int | Location
| Location of the active attribute.

## Detailed Description

Structure containing all the info regarding an active vertex attribute, see also GLSLProgram::activeAttribs()

Definition at line 63 of file GLSL.hpp.

## Constructor & Destructor Documentation

vl::AttribInfo::AttribInfo | ( | const char * | name,
|  | EAttributeType | type,
|  | int | size,
|  | int | location
| ) |  | `[inline]`

Definition at line 65 of file GLSL.hpp.

## Member Data Documentation

std::string vl::AttribInfo::Name

Name of the active attribute.

Definition at line 68 of file GLSL.hpp.

EAttributeType vl::AttribInfo::Type

Type as returned by http://www.opengl.org/sdk/docs/man4/xhtml/glGetActiveAttrib.xml.

Definition at line 69 of file GLSL.hpp.

int vl::AttribInfo::Size

The size of the attribute, in units of the type returned in Type.

Definition at line 70 of file GLSL.hpp.

int vl::AttribInfo::Location

Location of the active attribute.

Definition at line 71 of file GLSL.hpp.

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/GLSL.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:38.
Permission is granted to use this page to write and publish articles regarding Visualization Library.